| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::aruco::RefineParameters Struct Reference
Object Detection » ArUco markers and boards detection for robust camera pose estimation

struct RefineParameters is used by ArucoDetector More...

`#include <opencv2/objdetect/aruco_detector.hpp>`

Collaboration diagram for cv::aruco::RefineParameters:

## Public Member Functions
| RefineParameters (float minRepDistance=10.f, float errorCorrectionRate=3.f, bool checkAllOrders=true)
bool | readRefineParameters (const FileNode &fn)
| Read a new set of RefineParameters from FileNode (use FileStorage.root()).
bool | writeRefineParameters (FileStorage &fs, const String &name=String())
| Write a set of RefineParameters to FileStorage.

## Public Attributes
bool | checkAllOrders
| checkAllOrders consider the four posible corner orders in the rejectedCorners array.
float | errorCorrectionRate
| errorCorrectionRate rate of allowed erroneous bits respect to the error correction capability of the used dictionary.
float | minRepDistance
| minRepDistance minimum distance between the corners of the rejected candidate and the reprojected marker in order to consider it as a correspondence.

## Detailed Description

struct RefineParameters is used by ArucoDetector

## Constructor & Destructor Documentation

## ◆ RefineParameters()

cv::aruco::RefineParameters::RefineParameters | ( | float | minRepDistance = 10.f,
|  | float | errorCorrectionRate = 3.f,
|  | bool | checkAllOrders = true )

## Member Function Documentation

## ◆ readRefineParameters()

bool cv::aruco::RefineParameters::readRefineParameters | ( | const FileNode & | fn | ) |

Read a new set of RefineParameters from FileNode (use FileStorage.root()).

## ◆ writeRefineParameters()

bool cv::aruco::RefineParameters::writeRefineParameters | ( | FileStorage & | fs,
|  | const String & | name = String() )

Write a set of RefineParameters to FileStorage.

## Member Data Documentation

## ◆ checkAllOrders

bool cv::aruco::RefineParameters::checkAllOrders

checkAllOrders consider the four posible corner orders in the rejectedCorners array.

If it set to false, only the provided corner order is considered (default true).

## ◆ errorCorrectionRate

float cv::aruco::RefineParameters::errorCorrectionRate

errorCorrectionRate rate of allowed erroneous bits respect to the error correction capability of the used dictionary.

-1 ignores the error correction step.

## ◆ minRepDistance

float cv::aruco::RefineParameters::minRepDistance

minRepDistance minimum distance between the corners of the rejected candidate and the reprojected marker in order to consider it as a correspondence.

The documentation for this struct was generated from the following file:

- opencv2/objdetect/aruco_detector.hpp